Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class WarehouseOperationEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.shop.common.bean.WarehouseOperationEntry

All Implemented Interfaces:
  `Serializable`, `Idable`

public class WarehouseOperationEntry extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WarehouseOperationEntry()`
  `WarehouseOperationEntry(WarehouseOperationType operationType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `WarehouseOperationType`
  `getOperationType()`
  `int`
  `getStockItemId()`
  `String`
  `getStockItemTypeTitle()`
  `Date`
  `getTime()`
  `int`
  `getUserId()`
  `int`
  `getWarehouseFromId()`
  `int`
  `getWarehouseToId()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setOperationType(WarehouseOperationType operationType)`
  `void`
  `setStockItemId(int stockItemId)`
  `void`
  `setStockItemTypeTitle(String stockItemTypeTitle)`
  `void`
  `setTime(Date time)`
  `void`
  `setUserId(int userId)`
  `void`
  `setWarehouseFromId(int warehouseFromId)`
  `void`
  `setWarehouseToId(int warehouseToId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WarehouseOperationEntry

    public WarehouseOperationEntry()

  - ### WarehouseOperationEntry

    public WarehouseOperationEntry(WarehouseOperationType operationType)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getWarehouseFromId

    public int getWarehouseFromId()

  - ### setWarehouseFromId

    public void setWarehouseFromId(int warehouseFromId)

  - ### getWarehouseToId

    public int getWarehouseToId()

  - ### setWarehouseToId

    public void setWarehouseToId(int warehouseToId)

  - ### getStockItemId

    public int getStockItemId()

  - ### setStockItemId

    public void setStockItemId(int stockItemId)

  - ### getStockItemTypeTitle

    public String getStockItemTypeTitle()

  - ### setStockItemTypeTitle

    public void setStockItemTypeTitle(String stockItemTypeTitle)

  - ### getOperationType

    public WarehouseOperationType getOperationType()

  - ### setOperationType

    public void setOperationType(WarehouseOperationType operationType)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getTime

    public Date getTime()

  - ### setTime

    public void setTime(Date time)